<%
Dim itemLocation, itemCallNumber, itemTitle

itemLocation = Request.QueryString("itemLocation")
itemCallNumber = Request.QueryString("itemCallNumber")
itemTitle = Request.QueryString("itemTitle")
%>
<html>
<head>
  <title>Text item to your cell phone</title>

<style type="text/css">
body {
  margin: 0;
  padding: 0;
  }

body, div, li, th, td, dd {
  font-family:Arial,Helvetica,sans-serif;
  font-size:13px;
  }

h2 {
  color:#000066;
  display:block;
  font-family:Verdana,Helvetica,sans-serif;
  font-size:12pt;
  font-weight:bold;
  margin:0 0 5px;
  padding:0;
}

.fieldLabel {
  font-weight: bold;
  }

table {
  margin-left: 30px;
  }

td {
  vertical-align: top;
  padding-bottom: 5px;
  }

.errorMessage {
  font: 16pt bold;
  color: red;
  }

#header {
  -moz-background-clip:border;
  -moz-background-inline-policy:continuous;
  -moz-background-origin:padding;
  background:#000066 url(bgIdGrad.gif) repeat scroll 0 0;
  padding-left: 10px;
  }

#mainContent {
  margin: 10px;
  }

</style>

</head>
<body>

<div id="header">
  <img src="McIntyreLibrary.gif" />
</div>

<div id="mainContent">
<%
If Request.QueryString("errorMessage") <> "" Then
  Response.Write "<div class='errorMessage'>" & Request.QueryString("errorMessage") & "</div>"
End If
%>

<form name="SmsForm" method="post" action="https://lib3.uwec.edu/SMS/sendSMS.asp">

  <div id="formSection1">
  <h2>Contact Information</h2>
  <table border="0">
    <tr>
      <td><span class="fieldLabel">Cell Phone Number</span><br/>No hyphens or spaces<br/> Example: ##########</td>
      <td colspan="2"><input type="text" name="phone" size="40" /></td>
    </tr>
    <tr>
      <!-- Find a more comprehensive list at http://www.notepage.net/smtp.htm -->
	  <!-- Or here: http://en.wikipedia.org/wiki/List_of_carriers_providing_SMS_transit -->
      <td width="140"><span class="fieldLabel">Service Provider</span></td>
      <td width="150">
        <input type="radio" name="providerDomain" value="txt.att.net">AT&amp;T<br />
	<input type="radio" name="providerDomain" value="messaging.sprintpcs.com">Sprint<br />
      </td>
      <td width="150">        
        <input type="radio" name="providerDomain" value="tmomail.net">T-Mobile<br />
        <input type="radio" name="providerDomain" value="vtext.com">Verizon<br />
      </td>
    </tr>
    <tr id="showMoreProvidersLink" style="display:none;">
      <td></td>
      <td colspan="2"><a href="#" onClick="showMoreProviders()">Show more providers</a></td>
    </tr>
    <tr id="showMoreProviders1">
      <td></td>
      <td>
        <input type="radio" name="providerDomain" value="message.alltel.com">Alltel<br />
	<input type="radio" name="providerDomain" value="myboostmobile.com">Boost Mobile<br />
    <input type="radio" name="providerDomain" value="cellcom.quiktxt.com">Cellcom<br />
	<input type="radio" name="providerDomain" value="mobile.dobson.net">Cellular One<br />
	<input type="radio" name="providerDomain" value="messaging.sprintpcs.com">Credo Mobile<br />
	<input type="radio" name="providerDomain" value="mymetropcs.com">Metro PCS<br />

      </td>
      <td>
   	<input type="radio" name="providerDomain" value="messaging.nextel.com">Nextel<br />
	<input type="radio" name="providerDomain" value="orange.net">Orange<br />
	<input type="radio" name="providerDomain" value="ptel.com">Powertel<br />
	<input type="radio" name="providerDomain" value="qwestmp.com">Qwest<br />
	<input type="radio" name="providerDomain" value="email.uscc.net">U.S. Cellular<br />
	<input type="radio" name="providerDomain" value="vmobl.com">Virgin<br />
      </td>
    </tr>
    <tr id="showMoreProviders2">
      <td></td>
      <td colspan="2"><a href="mailto:support@yourCampus.edu">Email us</a> if you don't see your provider</td>
    </tr>
  </table>
  </div>

  <div class="formSection">
  <h2>Item Information</h2>
  <table border="0">
    <tr>
      <td width="140"><span class="fieldLabel">Location</span></td>
      <td width="300"><input type="hidden" name="itemLocation" value="<% =itemLocation %>"><% =itemLocation %></td>
    </tr>
    <tr>
      <td><span class="fieldLabel">Call Number</span></td>
      <td><input type="hidden" name="itemCallNumber" value="<% =itemCallNumber %>"><% =itemCallNumber %></td>
    </tr>
    <tr>
      <td><span class="fieldLabel">Title</span></td>
      <td><input type="hidden" name="itemTitle" value="<% =itemTitle %>"><% =itemTitle %></td>
    </tr>
    <tr>
      <td><span class="fieldLabel">Note</span> (Optional)</td>
      <td><input name="note" maxlength="50" size="40"></td>
    </tr>
    <tr>
      <td colspan="2">
        **** You will be responsible for any charges or fees levied by your <br/>
	service provider for receiving the incoming text message. ****
      </td>
    </tr>
    <tr>
      <td colspan="2">
        <input type="submit" value="SEND TEXT MESSAGE">
	<input type="button" value="Cancel" onClick="self.close();" style="display:none;" id="cancelButton">
	<script type="text/javascript">document.getElementById("cancelButton").style.display="inline";</script>
      </td>
    </tr>
  </table>
  </div>

</form>
</div>

<script type="text/javascript">
document.getElementById("showMoreProviders1").style.display="none";
document.getElementById("showMoreProviders2").style.display="none";
document.getElementById("showMoreProvidersLink").style.display="";

function showMoreProviders() {
  document.getElementById("showMoreProviders1").style.display="";
  document.getElementById("showMoreProviders2").style.display="";
  document.getElementById("showMoreProvidersLink").style.display="none";
}
</script>

<!-- Google Analytics -->
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("XX-#######-#");
pageTracker._trackPageview();
} catch(err) {}</script>
<!-- End Google Analytics -->

</html>